#include "qad_blockview.h"

#include "blockviewplugin.h"

QADBlockView::QADBlockView(QObject * parent): QObject(parent) {
	m_widgets.append(new BlockViewPlugin(this));
}


QList<QDesignerCustomWidgetInterface *> QADBlockView::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_graphic_plugin, QADBlockView)
#endif
